=== modified file 'NEWS'
--- NEWS	2010-04-29 05:52:35 +0000
+++ NEWS	2010-04-30 02:51:20 +0000
@@ -16,6 +16,10 @@
 New Features
 ************
 
+* ``bzr commit`` accepts ``-p`` (for "patch") as a shorter name for
+  ``--show-diff``.
+  (Parth Malwankar, #571467)
+  
 * ``bzr ignore`` now supports a ``--default-rules`` option that displays
   the default ignore rules used by bzr. The flag ``--old-default-rules``
   is no longer supported by ``ignore``.

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2010-04-28 10:33:44 +0000
+++ bzrlib/builtins.py	2010-04-29 12:10:19 +0000
@@ -3073,7 +3073,7 @@
                          "the master branch until a normal commit "
                          "is performed."
                     ),
-             Option('show-diff',
+             Option('show-diff', short_name='p',
                     help='When no message is supplied, show the diff along'
                     ' with the status summary in the message editor.'),
              ]

